%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name idn

Name:           php-pear-idn
Version:        0.2.0
Release:        1%{?dist}
Summary:        pear API for LibIDN

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/idn
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
BuildRequires:  libidn-devel
BuildRequires:	php-idn
Requires:       php-pear(PEAR) >= 1.4.9 php-pear(Net_SMTP) >= 1.1.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
pear package for LibIDN

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml

%{__install} -m 644 -c %{SOURCE1} LICENSE

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.

%install
#rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}
\rm -r $RPM_BUILD_ROOT/var/tmp

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG
%{pear_phpdir}/.pkgxml/idn.xml
%{pear_testdir}/idn
%{pear_xmldir}/%{pear_name}.xml

%changelog
* Mon Aug 8 2011 Thomas Uphill <uphill@ias.edu> 0.2.0-1
- initial build
